Page MenuHomeFreeBSD

shutdown: Support time units as in 'shutdown -r +5sec'
ClosedPublic

Authored by gleb on Dec 6 2014, 7:59 AM.

Details

Summary

Teach /sbin/shutdown about intervals less than a minute, while there add support for other time units: minutes and hours.

Rationale: let application initiate system shutdown "soon enough" while trying to exit gracefully. shutdown within short interval is of higher importance than graceful application exit.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

gleb updated this revision to Diff 2657.Dec 6 2014, 7:59 AM
gleb retitled this revision from to shutdown: Support time units as in 'shutdown -r +5sec'.
gleb updated this object.
gleb edited the test plan for this revision. (Show Details)
gleb set the repository for this revision to rS FreeBSD src repository.
gleb set the repository for this revision to rS FreeBSD src repository.Dec 6 2014, 8:08 AM
wblock added a subscriber: wblock.Dec 7 2014, 7:44 PM

Remember to update the .Dd when the man page is committed.

sbin/shutdown/shutdown.8
122 ↗(On Diff #2657)

s/appending/appending the/

jhb accepted this revision.Dec 15 2014, 5:00 PM
jhb added a reviewer: jhb.
jhb added a subscriber: jhb.

Looks fine to me with Warren's manpage suggestion.

This revision is now accepted and ready to land.Dec 15 2014, 5:00 PM
roberto accepted this revision.Dec 15 2014, 7:00 PM
roberto added a reviewer: roberto.
roberto added a subscriber: roberto.

Looks fine to me. Thanks.

gleb closed this revision.Dec 16 2014, 8:29 AM
gleb updated this revision to Diff 2760.

Closed by commit rS275818 (authored by @gleb).